Bug 1480925 - Severe screen tearing/flickering on intell graphics cards
Severe screen tearing/flickering on intell graphics cards
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
26
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-12 18:46 EDT by kxra
Modified: 2017-10-04 08:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kxra 2017-08-12 18:46:59 EDT
Description of problem:


Version-Release number of selected component (if applicable):
2.99.917

How reproducible:
100%

Steps to Reproduce:
1.run fedora
2.stab your eyes out

Actual results:
screen flickers and tears with the display being shown rapidly in random positions shifted downwards to various intensities and slightly to the sides as well 

Expected results:
normal display


Additional info:
I'm running kernel 4.11.11 and xorg-x11-drv-intel 2.99.917 on f26 on a Lenovo Yoga 910-13IKB

LSPCI: ~]$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 02)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th Gen Core Processor Gaussian Mixture Model
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #1 (rev 21)
00:15.3 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #3 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 (rev f1)
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #9 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Device 9d71 (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
01:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 32)
02:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM961/PM961

seems to be related to this: https://bugzilla.redhat.com/show_bug.cgi?id=1353008
this: https://bugs.freedesktop.org/show_bug.cgi?id=95010
and this: https://bugs.freedesktop.org/show_bug.cgi?id=97918

I'm not sure if "i915.enable_rc6=0" is the best workaround, or if there might be something better
Comment 1 Hans de Goede 2017-08-13 04:35:22 EDT
(In reply to kxra from comment #0)
> Description of problem:
> 
> 
> Version-Release number of selected component (if applicable):
> 2.99.917
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1.run fedora
> 2.stab your eyes out
> 
> Actual results:
> screen flickers and tears with the display being shown rapidly in random
> positions shifted downwards to various intensities and slightly to the sides
> as well 
> 
> Expected results:
> normal display
> 
> 
> Additional info:
> I'm running kernel 4.11.11 and xorg-x11-drv-intel 2.99.917 on f26 on a
> Lenovo Yoga 910-13IKB
> 
> LSPCI: ~]$ lspci
> 00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core
> Processor Host Bridge/DRAM Registers (rev 02)
> 00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)
> 00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200
> v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 02)
> 00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5
> / 6th/7th Gen Core Processor Gaussian Mixture Model
> 00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI
> Controller (rev 21)
> 00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP
> Thermal subsystem (rev 21)
> 00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP
> Serial IO I2C Controller #0 (rev 21)
> 00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP
> Serial IO I2C Controller #1 (rev 21)
> 00:15.3 Signal processing controller: Intel Corporation Sunrise Point-LP
> Serial IO I2C Controller #3 (rev 21)
> 00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME
> HECI #1 (rev 21)
> 00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port
> #5 (rev f1)
> 00:1d.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port
> #9 (rev f1)
> 00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev
> 21)
> 00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
> 00:1f.3 Audio device: Intel Corporation Device 9d71 (rev 21)
> 00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
> 01:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless
> Network Adapter (rev 32)
> 02:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD
> Controller SM961/PM961
> 
> seems to be related to this:
> https://bugzilla.redhat.com/show_bug.cgi?id=1353008
> this: https://bugs.freedesktop.org/show_bug.cgi?id=95010
> and this: https://bugs.freedesktop.org/show_bug.cgi?id=97918
> 
> I'm not sure if "i915.enable_rc6=0" is the best workaround, or if there
> might be something better

Question, does  "i915.enable_rc6=0" fix / work around this ? That does not become clear from your original description.

If  "i915.enable_rc6=0" fixes this then this is a bug in the upstream kernel driver. First of all please try the 4.12 kernel from updates-testing: https://fedoraproject.org/wiki/QA:Updates_Testing

If that does not help the best thing to do to get this fixes is to file a bug with the Intel i915 driver folks:
https://01.org/linuxgraphics/documentation/how-report-bugs

Note You need to log in before you can comment on or make changes to this bug.